# FeeSettings | xrpl
Documentation for xrpl

# Interface FeeSettings

The FeeSettings object type contains the current base transaction cost and reserve amounts as determined by fee voting.

The fields will be based on the status of the `XRPFees` amendment.

- Before: FeeSettingsPreAmendmentFields
- After: FeeSettingsPostAmendmentFields

#### Hierarchy

- FeeSettings

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:49

#####
Index

### Properties

Flags
LedgerEntryType
PreviousTxnID
PreviousTxnLgrSeq
index

## Properties

### Flags

Flags: 0

A bit-map of boolean flags for this object. No flags are defined for this type.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:34

### LedgerEntryType

LedgerEntryType: "FeeSettings"

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:30

### PreviousTxnID

PreviousTxnID: never

This field is missing on this object but is present on most other returned objects.

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:22

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: never

This field is missing on this object but is present on most other returned objects.

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:26

### index

index: string

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc